Date: Sunday, April 1, 2018 @ 03:01:47
  Author: heftig
Revision: 320806

archrelease: copy trunk to staging-x86_64

Added:
  nvidia/repos/staging-x86_64/
  nvidia/repos/staging-x86_64/PKGBUILD
    (from rev 320805, nvidia/trunk/PKGBUILD)

----------+
 PKGBUILD |   81 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 81 insertions(+)

Copied: nvidia/repos/staging-x86_64/PKGBUILD (from rev 320805, 
nvidia/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD                             (rev 0)
+++ staging-x86_64/PKGBUILD     2018-04-01 03:01:47 UTC (rev 320806)
@@ -0,0 +1,81 @@
+# $Id$
+# Maintainer: Sven-Hendrik Haase <s...@lutzhaase.com>
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor: Thomas Baechler <tho...@archlinux.org>
+
+pkgbase=nvidia
+pkgname=(nvidia nvidia-dkms)
+pkgver=390.48
+_extramodules=extramodules-4.15-ARCH
+pkgrel=3
+pkgdesc="NVIDIA drivers for linux"
+arch=('x86_64')
+url="http://www.nvidia.com/";
+makedepends=('nvidia-libgl' "nvidia-utils=${pkgver}" 'linux' 
'linux-headers>=4.15' 'linux-headers<4.16')
+license=('custom')
+options=('!strip')
+source=("http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run";)
+sha256sums=('2d4bf72801f101a85df6fd1464021380ad51f5a30df05dadaf1fb546a175a441')
+
+_pkg="NVIDIA-Linux-x86_64-${pkgver}-no-compat32"
+
+prepare() {
+    sh "${_pkg}.run" --extract-only
+    cd "${_pkg}"
+
+    cp -a kernel kernel-dkms
+    cd kernel-dkms
+    sed -i "s/__VERSION_STRING/${pkgver}/" dkms.conf
+    sed -i 's/__JOBS/`nproc`/' dkms.conf
+    sed -i 's/__DKMS_MODULES//' dkms.conf
+    sed -i '$iBUILT_MODULE_NAME[0]="nvidia"\
+DEST_MODULE_LOCATION[0]="/kernel/drivers/video"\
+BUILT_MODULE_NAME[1]="nvidia-uvm"\
+DEST_MODULE_LOCATION[1]="/kernel/drivers/video"\
+BUILT_MODULE_NAME[2]="nvidia-modeset"\
+DEST_MODULE_LOCATION[2]="/kernel/drivers/video"\
+BUILT_MODULE_NAME[3]="nvidia-drm"\
+DEST_MODULE_LOCATION[3]="/kernel/drivers/video"' dkms.conf
+
+    # Gift for linux-rt guys
+    sed -i 's/NV_EXCLUDE_BUILD_MODULES/IGNORE_PREEMPT_RT_PRESENCE=1 
NV_EXCLUDE_BUILD_MODULES/' dkms.conf
+}
+
+build() {
+    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"
+    cd "${_pkg}"/kernel
+    make SYSSRC=/usr/lib/modules/"${_kernver}/build" module
+}
+
+package_nvidia() {
+    pkgdesc="NVIDIA drivers for linux"
+    depends=('linux>=4.15' 'linux<4.16' "nvidia-utils=${pkgver}" 'libgl')
+
+    install -Dt "${pkgdir}/usr/lib/modules/${_extramodules}" -m644 \
+      "${srcdir}/${_pkg}/kernel"/nvidia{,-modeset,-drm,-uvm}.ko
+
+    find "${pkgdir}" -name '*.ko' -exec gzip -n {} +
+
+    echo "blacklist nouveau" |
+        install -Dm644 /dev/stdin 
"${pkgdir}/usr/lib/modprobe.d/${pkgname}.conf"
+
+    install -Dt "${pkgdir}/usr/share/licenses/${pkgname}" -m644 
"${srcdir}/${_pkg}/LICENSE"
+}
+
+package_nvidia-dkms() {
+    pkgdesc="NVIDIA driver sources for linux"
+    depends=('dkms' "nvidia-utils=$pkgver" 'libgl')
+    optdepends=('linux-headers: Build the module for Arch kernel'
+                'linux-lts-headers: Build the module for LTS Arch kernel')
+    conflicts+=('nvidia')
+
+    cd ${_pkg}
+
+    install -dm 755 "${pkgdir}"/usr/src
+    cp -dr --no-preserve='ownership' kernel-dkms 
"${pkgdir}/usr/src/nvidia-${pkgver}"
+
+    echo "blacklist nouveau" |
+        install -Dm644 /dev/stdin 
"${pkgdir}/usr/lib/modprobe.d/${pkgname}.conf"
+
+    install -Dt "${pkgdir}/usr/share/licenses/${pkgname}" -m644 
"${srcdir}/${_pkg}/LICENSE"
+}

Reply via email to